
Foreman - Refactor #22812

Migrate jquery-flot to patternfly-react charts

03/08/2018 08:53 AM - Avi Sharvit

Status: Closed   

Priority: Normal   

Assignee: Avi Sharvit   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Refactor #23598: Move report metrics chart to c3 Closed 05/15/2018

Related to Foreman - Refactor #23010: add deprecation warnings to all flotcha... Closed

Related to Foreman - Refactor #23665: Use Patternfly charts in Runtime Duplicate

Related to Foreman - Refactor #31595: deprecate flot_chart (timeseries area c... Closed

Has duplicate Foreman - Refactor #21968:  Migrate charts to use patternfly-react Duplicate

Has duplicate Foreman - Refactor #30502: Remove unused charts from core Duplicate

Blocked by Foreman - Refactor #24011: Add Patternfly bar charts support Closed

Blocks Foreman - Refactor #32584: Drop flot charts Closed

History

#1 - 06/08/2018 09:51 AM - Tomáš Strachota

- Related to Refactor #23598: Move report metrics chart to c3  added

#2 - 01/15/2019 12:47 PM - Tomer Brisker

- Blocked by Refactor #24011: Add Patternfly bar charts support added

#3 - 01/09/2020 08:15 AM - Ohad Levy

- Related to Refactor #23010: add deprecation warnings to all flotcharts functions added

#4 - 01/09/2020 08:16 AM - Ohad Levy

- Has duplicate Refactor #21968:  Migrate charts to use patternfly-react added

#5 - 01/09/2020 08:19 AM - Ohad Levy

- Related to Refactor #23665: Use Patternfly charts in Runtime added

#6 - 05/11/2021 10:08 PM - Ondřej Ezr

- Blocks Refactor #32584: Drop flot charts added

#7 - 05/26/2021 01:46 PM - Ondřej Ezr

- Related to Refactor #31595: deprecate flot_chart (timeseries area chart) added

#8 - 05/26/2021 01:48 PM - Ondřej Ezr

- Tracker changed from Bug to Refactor

#9 - 05/26/2021 01:49 PM - Ondřej Ezr

- Status changed from New to Closed
I consider this being done.

#10 - 10/28/2021 09:32 AM - Ondřej Ezr

- Has duplicate Refactor #30502: Remove unused charts from core added
